> For the complete documentation index, see [llms.txt](https://docs.edgetag.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.edgetag.io/api/getting-started/oauth-2.0/implementation/refreshing-access-token.md).

# Refreshing Access Token

Our Access Token expires every 2 hours, so you will need to refresh it before it expires.

Refreshing is straightforward. You will need to call one API (see [Implementation page](/api/getting-started/oauth-2.0/implementation.md) for URLs).

{% tabs %}
{% tab title="JavaScript" %}

```javascript
const refreshToken = 'PGFanyIh-GUKReZ5P1LlAsUJzBR76BQI5SJlIX4-aHQ'
const tokenUrl = 'http://api-sandbox.edgetag.io/v1/oauth-app/client/token'

const body = new URLSearchParams({
  refresh_token: refreshToken,
  grant_type: 'refresh_token',
})

const response = await fetch(tokenUrl, {
  method: 'POST',
  headers: {
    'Content-Type': 'application/x-www-form-urlencoded',
    Authorization: `Basic ${btoa(clientId + ':' + clientSecret)}`,
  },
  body
})
```

{% endtab %}

{% tab title="CURL" %}

```bash
curl --request POST \
  --url http://api-sandbox.edgetag.io/v1/oauth-app/client/token \
  --header 'Authorization: Basic ZDAyNzJjNDItN2VjYy00ODk5LWExYTctMDgwMWE4YTlkYTJmOmQwMjcyYzQyLTdlY2MtNDg5OS1hMWE3LTA4MDFhOGE5ZGEyZg==' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data refresh_token=PGFanyIh-GUKReZ5P1LlAsUJzBR76BQI5SJlIX4-aHQ \
  --data grant_type=refresh_token
```

{% endtab %}
{% endtabs %}

The API is the same as for code exchange; only the parameters differ slightly.

Request is `GET` .  If the request is successful, you will get the following response:

```javascript
{
  access_token: 'aYsxMIy3XguB9YORh2GzAL8E60MsVvXbG8IHxNFooSo',
  expires_in: 7200,
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.edgetag.io/api/getting-started/oauth-2.0/implementation/refreshing-access-token.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
